.panel.panel-default{"ng-controller" => "BasicNeedCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Access to Basic Needs
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Minimum Need
            %th{:style => "text-align:center;"} Response
            %th{:style => "text-align:center;"} Source
            %th{:style => "text-align:center;"} Distance (km)
     
        %tbody
          %tr{ "ng-repeat" => "basic_need in data_list "}
            %td{:style => "text-align:center;"} {{ basic_need.minimum_need }}
            %td{:style => "text-align:center;"} {{ basic_need.response}}
            %td{:style => "text-align:center;"} {{ basic_need.source }}
            %td{:style => "text-align:center;"} {{ basic_need.distance }}
            %td
              %a{ "ng-click" => "edit(basic_need.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(basic_need.id, basic_need.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              = select_tag :minimum_need, options_for_select(["Fuel for domestic use","Drinking water","Fodder"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.minimum_need"
            %td{"ng-if" => "vm.minimum_need === 'Fuel for domestic use'"}
              = select_tag :response, options_for_select(["Dung Cake","Fire Wood","Kerosene","Biogas","LPG"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.response"
            %td{"ng-if" => "vm.minimum_need === 'Drinking water'"}
              = select_tag :response, options_for_select(["Piped supply","Bore Well", "Open well", "Lake/ Tank", "Canal/Nala", "RO water"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.response"
            %td{"ng-if" => "vm.minimum_need === 'Fodder'"}
              = select_tag :response, options_for_select(["Dry Fodder", "Green Fodder"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.response"
            %td
              = select_tag :source, options_for_select(["Own","CPR/ Public","Private"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.source"
            %td
              = number_field :distance, '',:class => "form-control", "ng-model" => "vm.distance"
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel

.panel.panel-default{"ng-controller" => "BasicNeedDetailsCtrl"}
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Minimum Need
            %th{:style => "text-align:center;"} Response
     
        %tbody
          %tr
            %td
              Illumination/light
            %td
              = select_tag :light, options_for_select(["Kerosene Lamp","Solar Lamp","Electricity","Gas light"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.light"
          %tr{"ng-if" => "vm.light === 'Electricity'"}
            %td
              Hours of Electricity
            %td
              = number_field :hours_of_electricity, '',:class => "form-control", "ng-model" => "vm.hours_of_electricity"
          %tr
            %td
              Sanitary toilet facility  
            %td
              = select_tag :toilet_facility, options_for_select(["Yes","No"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.toilet_facility"
          %tr
            %td
              Yashashwini health card 
            %td
              = select_tag :health_card, options_for_select(["Yes","No"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.health_card"
          %tr
            %td
              Possession of PDS card  
            %td
              = select_tag :pds_card, options_for_select(["APL","BPL", "Not Possessed"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.pds_card"
          %tr
            %td
              Work under NREGA  
            %td
              = select_tag :work_nrgea, options_for_select(["Yes","No"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.work_nrgea"
          %tr
            %td
              Number of Persons working in your HH under NREGA  
            %td
              = number_field :no_of_persons, '',:class => "form-control", "ng-model" => "vm.no_of_persons"
          %tr
            %td
              Number of days employed in a year in NREGA  
            %td
              = number_field :no_of_days, '',:class => "form-control", "ng-model" => "vm.no_of_days"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Save
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "submit()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}
      
